## com.mysql.jdbc
Class PerConnectionLRUFactory.PerConnectionLRU

    java.lang.Object
      com.mysql.jdbc.PerConnectionLRUFactory.PerConnectionLRU

All Implemented Interfaces:
  CacheAdapter<java.lang.String,PreparedStatement.ParseInfo>

Enclosing class:
  PerConnectionLRUFactory

     class PerConnectionLRUFactory.PerConnectionLRU

extends java.lang.Object
implements CacheAdapter<java.lang.String,PreparedStatement.ParseInfo>

Constructor Summary
`protected` `PerConnectionLRUFactory.PerConnectionLRU(Connection forConnection, int cacheMaxSize, int maxKeySize)`

Method Summary
`PreparedStatement.ParseInfo` `get(java.lang.String key)`
`void` `invalidate(java.lang.String key)`
`void` `invalidateAll()`
`void` `invalidateAll(java.util.Set<java.lang.String> keys)`
`void` `put(java.lang.String key, PreparedStatement.ParseInfo value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerConnectionLRUFactory.PerConnectionLRU

    protected PerConnectionLRUFactory.PerConnectionLRU(Connection forConnection,
                                                       int cacheMaxSize,
                                                       int maxKeySize)

Method Detail

### get

    public PreparedStatement.ParseInfo get(java.lang.String key)

  Specified by:
    `get` in interface `CacheAdapter<java.lang.String,PreparedStatement.ParseInfo>`

### put

    public void put(java.lang.String key,
                    PreparedStatement.ParseInfo value)

  Specified by:
    `put` in interface `CacheAdapter<java.lang.String,PreparedStatement.ParseInfo>`

### invalidate

    public void invalidate(java.lang.String key)

  Specified by:
    `invalidate` in interface `CacheAdapter<java.lang.String,PreparedStatement.ParseInfo>`

### invalidateAll

    public void invalidateAll(java.util.Set<java.lang.String> keys)

  Specified by:
    `invalidateAll` in interface `CacheAdapter<java.lang.String,PreparedStatement.ParseInfo>`

### invalidateAll

    public void invalidateAll()

  Specified by:
    `invalidateAll` in interface `CacheAdapter<java.lang.String,PreparedStatement.ParseInfo>`